Main Page Alphabetical List Data Structures File List Data Fields Globals

# _wmfFontData Struct Reference

## Data Fields
wmfMap | map
wmfStringWidth | stringwidth
void * | user_data

## Detailed Description

API->font_data is a pointer to a wmfFontData. wmf_api_create () sets this up automatically, but wmf_lite_create () does not. If you use wmf_lite_create () then you must create your own wmfFontData. libwmflite requires you to define `map` and `stringwidth` functions but the rest of these fields are ignored (they are only used by libwmf).

## Field Documentation

wmfMap _wmfFontData::map

| Necessary field: exactly what the function does is irrelevant.

wmfStringWidth _wmfFontData::stringwidth

| Necessary field: returns width of specified string in points, assuming (unstretched) font size of 1pt.

void* _wmfFontData::user_data

| A handle for data, unused by libwmflite

The documentation for this struct was generated from the following file:

- ipa.h